Bug 210068 - ListTagHelper.setSelectedAmount not updating the selected contents correctly
Summary: ListTagHelper.setSelectedAmount not updating the selected contents correctly
Status: CLOSED EOL
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site   
(Show other bugs)
Version: rhn500
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Todd Sanders
QA Contact: Brandon Perkins
URL: http://parthagoras.devel.redhat.com/r...
Whiteboard:
Keywords:
Depends On: rhn500h-config-mgmt
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-09 20:31 UTC by Partha Aji
Modified: 2017-07-05 15:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-05 15:23:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Partha Aji 2006-10-09 20:31:47 UTC
Description of problem:
Click on a page using the new list tag + rhnsets. (ViewModifyCentralPaths.do is
one such page).. Hit select all -> notice that the value denoted for 'selected'
is not correct

How reproducible:
Always

Steps to Reproduce:
Click on a page using the new list tag + rhnsets. (ViewModifyCentralPaths.do is
one such page).. Hit select all

Actual results:
0 items selected

Expected results:
Whatever the # of selected items equal...

Additional info:
In 
RhnListSetHelper.selectAll (...) {....
        ListTagHelper.setSelectedAmount(listName, count, request);
}
Looks like when this is finally rendered, the ListTagHelper.getSelectedAmount 
basically uses a new List set for the count,  the selected amount value is not
propagated to the new ListSet..

Comment 1 Red Hat Bugzilla 2007-04-12 01:21:12 UTC
User bnackash@redhat.com's account has been closed

Comment 2 Red Hat Bugzilla 2007-08-21 06:49:34 UTC
User ksmith@redhat.com's account has been closed

Comment 3 Thomas "Shea" DeAntonio 2017-07-05 15:23:19 UTC
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).


Note You need to log in before you can comment on or make changes to this bug.